msgbartop
¡¡Corred insensatos!!
msgbarbottom

12 oct 13 Cómo instalar una tarjeta TP-Link TL-WN725N v2 en raspbian

…o en xbian, o en cualquier otro sistema operativo linux para Raspberry Pi. Uno de los problemas que estoy viendo que son más habituales a la hora de manejarse con la RPi es que las tarjetas de red inalámbricas por USB no suelen disponer de drivers adecuados para funcionar.

TP-Link TL-WN725N v2

TP-Link TL-WN725N v2

O al menos, las dos que yo he comprado, adolecían de este problema. ^_^ En el caso concreto de la TP-Link TL-WN725N, existen, al parecer, dos versiones: la v1 hace uso del chipset RealTek RTL8188CUS (que sí cuenta con soporte nativo en la RPi), la v2 utiliza el chipset RTL8188EUS, que no lo tiene, por lo que es preciso andar compilando, algo que en la RPi suele ser un tanto doloroso. Pero que, dado que se cuenta con fuentes adecuadas, tampoco es excesivamente complicado.

Lo que sí hay que tener en cuenta, según he podido descubrir, es que el driver, compilado directamente de las fuentes, tiene dos problemas tal y como viene de fábrica: el led de estado no funciona, y vuelca demasiada información de debug en los logs de sistema. Esto último, en el caso de la RPi, que hace uso de tarjetas microSD para albergar el sistema operativo, puede ser bastante grave, tanto por problemas de rendimiento como por desgaste del dispositivo. Por suerte, se puede modificar la fuente del código para solventar este problema antes de la instalación. Los pasos a seguir son los siguientes:

Obtener el código necesario para compilar el driver

git clone https://github.com/liwei/rpi-rtl8188eu.git
git clone –depth 1 git://github.com/raspberrypi/linux.git rpi-linux
git clone –depth 1 git://github.com/raspberrypi/firmware.git rpi-firmware

Modificar el fichero rpi-rtl8188eu/include/autoconf.h

Es preciso modificar dos aspectos: descomentar la línea #define CONFIG_LED, y comentar la línea #define CONFIG_DEBUG_RTL819X. En el siguiente diff puede verse de manera más clara:

diff -Nauw ~/src/pi_plus/linux/drivers/net/wireless/rtl8188eu/include/autoconf.h include/autoconf.h
— /home/pi/src/pi_plus/linux/drivers/net/wireless/rtl8188eu/include/autoconf.h 2013-05-02 19:39:42.177227144 +0100
+++ include/autoconf.h 2013-05-03 00:22:52.383030986 +0100
@@ -156,7 +156,7 @@

#define CONFIG_SKB_COPY 1//for amsdu

-//#define CONFIG_LED
+#define CONFIG_LED
#ifdef CONFIG_LED
#define CONFIG_SW_LED
#ifdef CONFIG_SW_LED
@@ -328,7 +328,7 @@
//#define CONFIG_DEBUG_RTL871X

#define DBG 1
-#define CONFIG_DEBUG_RTL819X
+//#define CONFIG_DEBUG_RTL819X

#define CONFIG_PROC_DEBUG 1

Compilar e instalar el driver

Seguimos con la receta anterior:

cd rpi-linux
make mrproper
zcat /proc/config.gz > .config
make modules_prepare
cp ../rpi-firmware/extra/Module.symvers .
cd ../rpi-rtl8188eu
CONFIG_RTL8188EU=m make -C ../rpi-linux M=`pwd`
sudo rmmod 8188eu
sudo install -p -m 644 8188eu.ko /lib/modules/`uname -r`/kernel/drivers/net/wireless
sudo depmod -a
sudo modprobe 8188eu

Con todo ello, quedará correctamente instalado el driver para poder utilizar esta tarjeta.

Las fuentes de este artículo son las siguientes:

Bonus extra

En la raspbian pelada y mondada, tal y como viene de fábrica, no se disponen de los elementos necesarios para compilar drivers, ni para hacer funcionar una tarjeta wifi. Es necesario, al menos, instalar lo siguiente:

  • build-essentials para poder compilar
  • git para descargar los respositorios
  • wireless-tools, usbutils y wpa-supplicant para poder conectar correctamente a una red wifi con cifrado WPA/WPA2
  • Para realizar la instalación de lo anterior, lo de siempre en sistemas de la familia Debian:

    apt-get install build-essentials git wireless-tools usbutils wpa-supplicant

VN:F [1.9.20_1166]
Rating: 9.5/10 (2 votes cast)
Cómo instalar una tarjeta TP-Link TL-WN725N v2 en raspbian, 9.5 out of 10 based on 2 ratings
Comparte este artículo:
  • Twitter
  • Facebook
  • email
  • StumbleUpon
  • Delicious
  • Google Reader
  • LinkedIn
  • BlinkList

Etiquetas: , , , , ,

Comentarios de los lectores

  1. |

    [...] Puedes ver el artículo original aquí. [...]

    Responder a este comentario
  2. |

    [...] para la Raspberry Pi. Tanto la mía (una Leguang LG-N18 que compré en DealExtreme) como una TP-Link TL-WN725N v2 comprada en PcBox para mi padre no funcionaron de manera nativa en raspbian, por lo que tuve que [...]

    Responder a este comentario
  3. |

    ¡Gracias por el apunte del debug y el led!

    VA:F [1.9.20_1166]
    Rating: 5.0/5 (1 vote cast)
    Responder a este comentario
  4. |

    He tenido problemas, he encontrado lo siguiente que les pueda interesar:
    rtl8188eu drivers for 3.10.18+

    #577 – 8188eu-20131105.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131105.tar.gz
    #579 – 8188eu-20131106.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131106.tar.gz
    #585 – 8188eu-20131106.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131106.tar.gz
    #585 – 8188eu-20131106.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131106.tar.gz
    #587 – 8188eu-20131110.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131110.tar.gz
    #590 – 8188eu-20131111.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131111.tar.gz
    #592 – 8188eu-20131111.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131111.tar.gz
    #594 – 8188eu-20131113.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131113.tar.gz
    #596 – 8188eu-20131113.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131113.tar.gz

    rtl8188eu drivers for 3.10.19+

    #600 – 8188eu-20131116.tar.gz https://dl.dropboxusercontent.com/u/80256631/8188eu-20131116.tar.gz

    Cada módulo se debe cargar de acuerdo al kernel que tenga instalado, el mio es un 3.10.21+, lo que me corresponde es el 8188eu-20131113.tar.gz
    No me da problema al cargar el módulo.

    El dispositivo se ve al ejecutar ifconfig y estoy configurando la red.

    VA:F [1.9.20_1166]
    Rating: 0.0/5 (0 votes cast)
    Responder a este comentario
  5. |

    Gracias por el tutorial!

    He tenido problemas al compilar (falta del procedimiento daemonize y otros varios errores) y no he podido generar el driver.

    ¿Podrías adjuntar el driver para poder descargarlo?

    Un saludo y gracias.

    VA:F [1.9.20_1166]
    Rating: 0.0/5 (0 votes cast)
    Responder a este comentario
  6. |

    Pues yo tengo el kernel 3.12.35+ compre la raspberry hace unos dias, ya hay drivers para este kernel, no consigo que funcione el tp-link de ninguna manera

    VA:F [1.9.20_1166]
    Rating: 0.0/5 (0 votes cast)
    Responder a este comentario
  7. |

    Tonialoy, sigue este tutorial:

    http://www.raspberrypi.org/forums/viewtopic.php?t=62371

    Yo lo seguí y funciona perfectamente :)

    VA:F [1.9.20_1166]
    Rating: 0.0/5 (0 votes cast)
    Responder a este comentario
  8. |

    Hola gente.No se como instalar el usb nano para wifi, alguien me puede ayudar?

    VA:F [1.9.20_1166]
    Rating: 0.0/5 (0 votes cast)
    Responder a este comentario

Deje un comentario







− seis = 3